* {
    margin: 0px;
    padding: 0px;

    font-family: Arial, Verdana, Helvetica;
}
body {
    background: rgb(240,240,240);
}
#header {
    background: rgb(90, 20, 110);
    box-shadow: 0px 2px 3px rgb(150,150,150);
}
#body-free-space {
    display: inline-block;
    vertical-align: top;
    font-size: 32px;
    padding: 32px;
}
#login-form {
    display: inline-block;
    vertical-align: top;
}
#login-input {
    font-size: 16px;
    padding: 4px;
    padding-left: 8px;
    padding-right: 8px;
    border-radius: 3px;
    border: 0px;
    border-bottom: 2px solid rgb(110, 40, 130);
}
#login-submit {
    font-size: 16px;
    padding: 4px;
    padding-left: 8px;
    padding-right: 8px;
    border-radius: 3px;
    border: 0px;
    border-bottom: 2px solid rgb(110, 40, 130);
    background: rgb(190, 120, 210);
}
#login-input:focus {
    outline: none;
}

@media (max-width: 399px) {
    #header {
        padding: 8px;
        padding-left: 16px;
        padding-right: 16px;
        font-weight: bold;
        color: white;
        font-size: 24px;
    }
    #body-inner {
        margin: 16px;
        padding: 8px;
        background: white;
        border-radius: 5px;
    }
    #body-free-space {
        display: none;
    }
    #login-form {
        display: inline-block;
        vertical-align: top;
        width: calc(100%);
    }
}
@media (min-width: 400px) and (max-width: 699px) {
    #header {
        font-size: 16px;
        padding: 8px;
        padding-left: 16px;
        padding-right: 16px;
        font-weight: bold;
        color: white;
    }
    #body-inner {
        margin: 16px;
        padding: 8px;
        background: white;
        border-radius: 5px;
    }
    #body-free-space {
        display: none;
    }
    #login-form {
        display: inline-block;
        vertical-align: top;
        width: calc(100%);
    }
}

@media (min-width: 700px) and (max-width: 1023px) {
    #header {
        font-size: 32px;
        padding: 8px;
        padding-left: 16px;
        padding-right: 16px;
        font-weight: bold;
        color: white;
    }
    #body-inner {
        margin: 16px;
        padding: 8px;
        background: white;
        border-radius: 5px;
    }
    #body-free-space {
        display: inline-block;
        vertical-align: top;
        font-size: 32px;
        padding: 32px;
        width: calc(60% - 64px);
    }
    #login-form {
        display: inline-block;
        vertical-align: top;
        width: calc(40%);
    }
}

@media (min-width: 1024px) {
    #header {
        font-size: 32px;
        text-align: center;
    }
    #body-free-space {
        display: inline-block;
        vertical-align: top;
        font-size: 32px;
        padding: 32px;
        width: calc(60% - 64px);
    }
    #login-form {
        display: inline-block;
        vertical-align: top;
        width: calc(40%);
    }
    #header-inner {
        position: relative;
        width: calc(1000px - 32px);
        left: calc(50% - 500px);
        padding: 8px;
        padding-left: 16px;
        padding-right: 16px;
        font-weight: bold;
        color: white;
        text-align: left;
    }
    #body-inner {
        position: relative;
        width: calc(1000px - 16px);
        left: calc(50% - 500px);
        padding: 8px;
        padding-left: 8px;
        padding-right: 8px;
        margin-top: 16px;
        background: white;
        border-radius: 5px;
    }
}